import { SvelteComponentTyped } from "svelte";
export type DropdownType = {
    activeClass: string;
};
declare const __propDef: {
    props: import("svelte/elements").HTMLAnchorAttributes & {
        tag?: string | undefined;
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "light" | "dark" | "default" | "dropdown" | "navbar" | "navbarUl" | "form" | "primary" | "orange" | "none" | undefined;
        rounded?: boolean | undefined;
        border?: boolean | undefined;
        shadow?: boolean | undefined;
        node?: HTMLElement | undefined;
        use?: import("svelte/action").Action<HTMLElement, any, Record<never, any>> | undefined;
        options?: object | undefined;
        class?: string | undefined;
        role?: string | undefined;
        open?: boolean | undefined;
        transition?: ((node: HTMLElement, params: any) => import("svelte/transition").TransitionConfig) | undefined;
        params?: any;
    } & {
        activeContent?: boolean | undefined;
        arrow?: boolean | undefined;
        offset?: number | undefined;
        placement?: import("@floating-ui/dom").Placement | undefined;
        trigger?: "click" | "focus" | "hover" | undefined;
        triggeredBy?: string | undefined;
        reference?: string | undefined;
        strategy?: "fixed" | "absolute" | undefined;
        open?: boolean | undefined;
        yOnly?: boolean | undefined;
    } & {
        activeUrl?: string | undefined;
        containerClass?: string | undefined;
        classContainer?: string | undefined;
        headerClass?: string | undefined;
        classHeader?: string | undefined;
        footerClass?: string | undefined;
        classFooter?: string | undefined;
        activeClass?: string | undefined;
        classActive?: string | undefined;
    };
    events: {
        show: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {};
        default: {};
        footer: {};
    };
};
export type DropdownProps = typeof __propDef.props;
export type DropdownEvents = typeof __propDef.events;
export type DropdownSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let activeUrl: string = '';
 * @prop export let open: boolean = false;
 * @prop export let containerClass: string = 'divide-y z-50';
 * @prop export let classContainer: string | undefined = undefined;
 * @prop export let headerClass: string = 'py-1 overflow-hidden rounded-t-lg';
 * @prop export let classHeader: string | undefined = undefined;
 * @prop export let footerClass: string = 'py-1 overflow-hidden rounded-b-lg';
 * @prop export let classFooter: string | undefined = undefined;
 * @prop export let activeClass: string = 'text-primary-700 dark:text-primary-700 hover:text-primary-900 dark:hover:text-primary-900';
 * @prop export let classActive: string | undefined = undefined;
 */
export default class Dropdown extends SvelteComponentTyped<DropdownProps, DropdownEvents, DropdownSlots> {
}
export {};
